-- 基础信息
base_info = {
	group_id = 246202001
}

-- Trigger变量
defs = {
	center_point = 1007,
	rogue_exit = 1015
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 1015, gadget_id = 70800208, pos = { x = 17.536, y = -41.090, z = -0.008 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 1001, pos = { x = -0.028, y = -43.990, z = 0.027 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 1002, pos = { x = 2.459, y = -43.990, z = -7.514 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 1003, pos = { x = 2.685, y = -43.990, z = 7.528 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 1004, pos = { x = -7.484, y = -43.990, z = 0.048 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 1005, pos = { x = -10.061, y = -43.990, z = 7.457 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 1006, pos = { x = -10.101, y = -43.990, z = -7.623 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 1007, pos = { x = -7.437, y = -43.990, z = 0.010 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 1008, pos = { x = -12.474, y = -43.990, z = -0.011 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1009, pos = { x = 9.937, y = -43.990, z = 0.003 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 1010, pos = { x = 10.010, y = -43.990, z = -4.928 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 1011, pos = { x = 9.918, y = -43.990, z = 4.882 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 1012, pos = { x = -10.007, y = -43.990, z = 0.003 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 1013, pos = { x = -9.934, y = -43.990, z = -4.927 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 1014, pos = { x = -10.026, y = -43.990, z = 4.882 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_2"
